<?php 
$thames_redux_demo = get_option('redux_demo');
require_once get_template_directory() . '/framework/wp_bootstrap_navwalker.php';
require_once get_template_directory() . '/framework/class-ocdi-importer.php';
function thames_theme_setup(){
/*
 * This theme uses a custom image size for featured images, displayed on
 * "standard" posts and pages.
 */
	add_theme_support( 'custom-header' );
	add_theme_support( 'custom-background' );
	$lang = get_template_directory_uri() . '/languages';
	load_theme_textdomain('thames', $lang);
	add_theme_support( 'post-thumbnails' );
	add_filter('wpcf7_autop_or_not', '__return_false');
	// Adds RSS feed links to <head> for posts and comments.
	add_theme_support( 'automatic-feed-links' );
	// Switches default core markup for search form, comment form, and comments
	// to output valid HTML5.
	add_theme_support( 'title-tag' );
	add_theme_support( 'html5', array( 'search-form', 'comment-form', 'comment-list' ) );
	// This theme uses wp_nav_menu() in one location. 
	register_nav_menus( array(
	'primary' 		=>  esc_html__( 'Primary Menu.', 'thames' ),
	'onepage' 		=>  esc_html__( 'One Page Menu.', 'thames' ),
	));
}
add_action( 'after_setup_theme', 'thames_theme_setup' );
if ( ! isset( $content_width ) ) $content_width = 900;
function thames_theme_scripts_styles(){
	$thames_redux_demo = get_option('redux_demo');
	$protocol = is_ssl() ? 'https' : 'http';
	function add_preconnect_and_enqueue_fonts() {
		echo "<link rel='preconnect' href='https://fonts.gstatic.com' crossorigin>\n";
		wp_enqueue_style('google-fonts-preconnect-googleapis', 'https://fonts.googleapis.com', array(), null);
		 wp_enqueue_style('google-fonts-preconnect-gstatic', 'https://fonts.gstatic.com', array(), null);
	}
	add_action('wp_enqueue_scripts', 'add_preconnect_and_enqueue_fonts');

	wp_enqueue_style('bootstrap', get_template_directory_uri().'/assets/css/bootstrap.min.css');
	wp_enqueue_style('fontawesome-all', get_template_directory_uri().'/assets/css/fontawesome-all.min.css');
	wp_enqueue_style('flaticon', get_template_directory_uri().'/assets/css/flaticon.css');
	wp_enqueue_style('animate', get_template_directory_uri().'/assets/css/animate.css');
	wp_enqueue_style('aos', get_template_directory_uri().'/assets/css/aos.css');
	wp_enqueue_style('jquery-fancybox', get_template_directory_uri().'/assets/css/jquery.fancybox.min.css');
	wp_enqueue_style('slick', get_template_directory_uri().'/assets/css/slick.css');
	wp_enqueue_style('leaflet', get_template_directory_uri().'/assets/css/leaflet.css');
	wp_enqueue_style('meanmenu', get_template_directory_uri().'/assets/css/meanmenu.css');
	if (isset($GLOBALS['is_main_header']) && $GLOBALS['is_main_header']){
		wp_enqueue_style('thames-default', get_template_directory_uri().'/assets/css/default.css');
		wp_enqueue_style('thames-style', get_template_directory_uri().'/assets/css/style.css');
		wp_enqueue_style('thames-responsive', get_template_directory_uri().'/assets/css/responsive.css');
		wp_enqueue_style('googlefonts-1', 'https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300;0,400;0,500;0,700;0,800;1,300;1,400;1,500;1,600;1,700;1,800&display=swap', array(), null );
		if ((isset($thames_redux_demo['choose-color-1'])) && ($thames_redux_demo['choose-color-1'] == true)) {
			wp_enqueue_style( 'color1', get_template_directory_uri().'/framework/color1.php');
		}
	}
	if (isset($GLOBALS['is_header_blue']) && $GLOBALS['is_header_blue']){
		wp_enqueue_style('thames-blue-default', get_template_directory_uri().'/assets/css/blue/default.css');
		wp_enqueue_style('thames-blue-style', get_template_directory_uri().'/assets/css/blue/style.css');
		wp_enqueue_style('thames-blue-responsive', get_template_directory_uri().'/assets/css/blue/responsive.css');
		wp_enqueue_style('googlefonts-2', 'https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300;0,400;0,500;0,700;0,800;1,300;1,400;1,500;1,600;1,700;1,800&display=swap', array(), null );	
		if ((isset($thames_redux_demo['choose-color-2'])) && ($thames_redux_demo['choose-color-2'] == true)) {
			wp_enqueue_style( 'color2', get_template_directory_uri().'/framework/color2.php');
		}
	}
	if (isset($GLOBALS['is_header_dark']) && $GLOBALS['is_header_dark']){
		wp_enqueue_style('thames-dark-default', get_template_directory_uri().'/assets/css/dark/default.css');
		wp_enqueue_style('thames-dark-style', get_template_directory_uri().'/assets/css/dark/style.css');
		wp_enqueue_style('thames-dark-responsive', get_template_directory_uri().'/assets/css/dark/responsive.css');
		wp_enqueue_style('googlefonts-3', 'https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300;0,400;0,500;0,700;0,800;1,300;1,400;1,500;1,600;1,700;1,800&display=swap', array(), null );	
		if ((isset($thames_redux_demo['choose-color-3'])) && ($thames_redux_demo['choose-color-3'] == true)) {
			wp_enqueue_style( 'color3', get_template_directory_uri().'/framework/color3.php');
		}
	}
	if (isset($GLOBALS['is_header_classic']) && $GLOBALS['is_header_classic']){
		wp_enqueue_style('thames-classic-default', get_template_directory_uri().'/assets/css/classic/default.css');
		wp_enqueue_style('thames-classic-style', get_template_directory_uri().'/assets/css/classic/style.css');
		wp_enqueue_style('thames-classic-responsive', get_template_directory_uri().'/assets/css/classic/responsive.css');
		wp_enqueue_style('googlefonts-4', 'https://fonts.googleapis.com/css2?family=Cormorant+Garamond:ital,wght@0,300;0,400;0,500;0,600;0,700;1,300;1,400;1,500;1,600;1,700&family=Open+Sans:ital,wght@0,300;0,400;0,500;0,700;0,800;1,300;1,400;1,500;1,600;1,700;1,800&display=swap', array(), null );
		if ((isset($thames_redux_demo['choose-color-4'])) && ($thames_redux_demo['choose-color-4'] == true)) {
			wp_enqueue_style( 'color4', get_template_directory_uri().'/framework/color4.php');
		}
	}
	if (isset($GLOBALS['is_header_modern']) && $GLOBALS['is_header_modern']){
		wp_enqueue_style('thames-modern-default', get_template_directory_uri().'/assets/css/modern/default.css');
		wp_enqueue_style('thames-modern-style', get_template_directory_uri().'/assets/css/modern/style.css');
		wp_enqueue_style('thames-modern-responsive', get_template_directory_uri().'/assets/css/modern/responsive.css');
		wp_enqueue_style('googlefonts-5', 'https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300;0,400;0,500;0,700;0,800;1,300;1,400;1,500;1,600;1,700;1,800&family=Play:wght@400;700&display=swap', array(), null );
		if ((isset($thames_redux_demo['choose-color-5'])) && ($thames_redux_demo['choose-color-5'] == true)) {
			wp_enqueue_style( 'color5', get_template_directory_uri().'/framework/color5.php');
		}
	}
	if (isset($GLOBALS['is_header_minimal']) && $GLOBALS['is_header_minimal']){
		wp_enqueue_style('thames-minimal-default', get_template_directory_uri().'/assets/css/minimal/default.css');
		wp_enqueue_style('thames-minimal-style', get_template_directory_uri().'/assets/css/minimal/style.css');
		wp_enqueue_style('thames-minimal-responsive', get_template_directory_uri().'/assets/css/minimal/responsive.css');
		wp_enqueue_style('googlefonts-6', 'https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300;0,400;0,500;0,700;0,800;1,300;1,400;1,500;1,600;1,700;1,800&display=swap', array(), null );
		if ((isset($thames_redux_demo['choose-color-6'])) && ($thames_redux_demo['choose-color-6'] == true)) {
			wp_enqueue_style( 'color6', get_template_directory_uri().'/framework/color6.php');
		}
	}

	wp_enqueue_style('thames-css', get_stylesheet_uri(), array(), '2024-11-05');


	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) )
	wp_enqueue_script('comment-reply');
	wp_enqueue_script('modernizr', get_template_directory_uri().'/assets/js/vendor/modernizr-3.5.0.min.js', array(), false, true);
	wp_enqueue_script('jquery-vendor', get_template_directory_uri().'/assets/js/vendor/jquery-1.12.4.min.js', array(), false, true);
	wp_enqueue_script('popper', get_template_directory_uri().'/assets/js/popper.min.js', array(), false, true);
	wp_enqueue_script('bootstrap', get_template_directory_uri().'/assets/js/bootstrap.min.js', array(), false, true);
	wp_enqueue_script('jquery-appear', get_template_directory_uri().'/assets/js/jquery-appear.js', array(), false, true);
	wp_enqueue_script('jquery-knob', get_template_directory_uri().'/assets/js/jquery-knob.js', array(), false, true);
	wp_enqueue_script('aos', get_template_directory_uri().'/assets/js/aos.js', array(), false, true);
	wp_enqueue_script('jquery-fancybox', get_template_directory_uri().'/assets/js/jquery.fancybox.min.js', array(), false, true);
	wp_enqueue_script('waypoint', get_template_directory_uri().'/assets/js/waypoint.js', array(), false, true);
	wp_enqueue_script('isotope-pkgd', get_template_directory_uri().'/assets/js/isotope.pkgd.min.js', array(), false, true);
	wp_enqueue_script('image-loaded', get_template_directory_uri().'/assets/js/image-loaded.min.js', array(), false, true);
	wp_enqueue_script('counterup-min', get_template_directory_uri().'/assets/js/counterup-min.js', array(), false, true);
	wp_enqueue_script('one-page-nav-min', get_template_directory_uri().'/assets/js/one-page-nav-min.js', array(), false, true);
	wp_enqueue_script('slick', get_template_directory_uri().'/assets/js/slick.min.js', array(), false, true);
	wp_enqueue_script('leaflet', get_template_directory_uri().'/assets/js/leaflet.js', array(), false, true);
	wp_enqueue_script('typer', get_template_directory_uri().'/assets/js/typer.js', array(), false, true);
	wp_enqueue_script('thames-plugins', get_template_directory_uri().'/assets/js/plugins.js', array(), false, true);
	wp_enqueue_script('vanilla-tilt', get_template_directory_uri().'/assets/js/vanilla-tilt.min.js', array(), false, true);
	wp_enqueue_script('jquery-meanmenu', get_template_directory_uri().'/assets/js/jquery.meanmenu.min.js', array(), false, true);
	if (isset($GLOBALS['is_main_header']) && $GLOBALS['is_main_header']){
		wp_enqueue_script('thames-main', get_template_directory_uri().'/assets/js/main.js', array(), false, true);
	}
	if (isset($GLOBALS['is_header_blue']) && $GLOBALS['is_header_blue']){
		wp_enqueue_script('thames-blue', get_template_directory_uri().'/assets/js/blue/main.js', array(), false, true);
	}
	if (isset($GLOBALS['is_header_dark']) && $GLOBALS['is_header_dark']){
		wp_enqueue_script('thames-dark', get_template_directory_uri().'/assets/js/dark/main.js', array(), false, true);
	}
	if (isset($GLOBALS['is_header_classic']) && $GLOBALS['is_header_classic']){
		wp_enqueue_script('tilt-classic', get_template_directory_uri().'/assets/js/classic/tilt.jquery.min.js', array(), false, true);
		wp_enqueue_script('thames-classic', get_template_directory_uri().'/assets/js/classic/main.js', array(), false, true);
	}
	if (isset($GLOBALS['is_header_modern']) && $GLOBALS['is_header_modern']){
		wp_enqueue_script('tilt-modern', get_template_directory_uri().'/assets/js/modern/tilt.jquery.min.js', array(), false, true);
		wp_enqueue_script('thames-modern', get_template_directory_uri().'/assets/js/modern/main.js', array(), false, true);
	}
	if (isset($GLOBALS['is_header_minimal']) && $GLOBALS['is_header_minimal']){
		wp_enqueue_script('thames-minimal', get_template_directory_uri().'/assets/js/minimal/main.js', array(), false, true);
	}
}
add_action( 'wp_enqueue_scripts', 'thames_theme_scripts_styles' );
// Widget Sidebar
function thames_widgets_init()
{
	register_sidebar( array(
		'name'          => esc_html__( 'Blog Sidebar', 'thames' ),
		'id'            => 'sidebar-1',
		'description'   => esc_html__( 'Appears in the sidebar section of the site.', 'thames' ),
		'before_widget' => '<div class="widget bg-light mb-30 %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h4 class="title mb-15">',
		'after_title'   => '</h4>'
	) );
}
add_action( 'widgets_init', 'thames_widgets_init' );
function thames_custom_big_image_size_threshold( $threshold ) {
	return 10000;
}
add_filter('big_image_size_threshold', 'thames_custom_big_image_size_threshold');
function thames_search_form( $form ) {
	$form = '
		<form class="search-form">
			<input type="search" name="s" class="search-input form-control" placeholder="'.esc_attr__('Search Here', 'thames').'" value="' . get_search_query() . '">
			<button class="btn-search" type="submit">
				<i class="fal fa-search"></i>
			</button>
		</form>
	';
	return $form;
}
add_filter( 'get_search_form', 'thames_search_form' );
/*Contact form 7 remove span*/
add_filter('wpcf7_form_elements', function($content) {
	$content = preg_replace('/<(span).*?class="\s*(?:.*\s)?wpcf7-form-control-wrap(?:\s[^"]+)?\s*"[^\>]*>(.*)<\/\1>/i', '\2', $content);

	$content = str_replace('<br />', '', $content);
		
	return $content;
});
// Move Comment Field
function thames_move_comment_field_to_bottom( $fields ) {
	$comment_field = $fields['comment'];
	unset( $fields['comment'] );
	$fields['comment'] = $comment_field;
	return $fields;
}
add_filter( 'comment_form_fields', 'thames_move_comment_field_to_bottom');
// Comment Form
function thames_theme_comment($comment, $args, $depth) {
	$GLOBALS['comment'] = $comment; ?>
	<?php
	if(get_avatar($comment,$size='100' )!=''){?>
		<div class="post-comment-wrap">
			<div class="post-user-comment"> <img src="<?php echo get_avatar_url($comment ); ?>"> </div>
			<div class="post-user-content">
				<h3><?php printf( get_comment_author_link()) ?><span> <?php comment_date(get_option( 'date_format' )); ?></span></h3>
				<p><?php comment_text(); ?></p> 
				<?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
			</div>
		</div>
	<?php }else{?>
		<div class="post-comment-wrap">
			<div class="post-user-content">
				<h3><?php printf( get_comment_author_link()) ?><span> <?php comment_date(get_option( 'date_format' )); ?></span></h3>
				<p><?php comment_text(); ?></p> 
				<?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
			</div>
		</div>
	<?php }?>
<?php
}
function thames_excerpt() {
	$thames_redux_demo = get_option('redux_demo');
	if(isset($thames_redux_demo['blog_excerpt'])){
	$limit = $thames_redux_demo['blog_excerpt'];
	}else{
	$limit = 50;
	}
	$excerpt = explode(' ', get_the_excerpt(), $limit);
	if (count($excerpt)>=$limit) {
	array_pop($excerpt);
	$excerpt = implode(" ",$excerpt).'...';
	} else {
	$excerpt = implode(" ",$excerpt);
	}
	$excerpt = preg_replace('`[[^]]*]`','',$excerpt);
	return $excerpt;
}
function thames_excerpt_2() {
	$thames_redux_demo = get_option('redux_demo');
	if(isset($thames_redux_demo['blog_excerpt'])){
	$limit = $thames_redux_demo['blog_excerpt'];
	}else{
	$limit = 15;
	}
	$excerpt = explode(' ', get_the_excerpt(), $limit);
	if (count($excerpt)>=$limit) {
	array_pop($excerpt);
	$excerpt = implode(" ",$excerpt).'...';
	} else {
	$excerpt = implode(" ",$excerpt);
	}
	$excerpt = preg_replace('`[[^]]*]`','',$excerpt);
	return $excerpt;
}
function thames_pagination($pages='') {
	global $wp_query, $wp_rewrite;
	$wp_query->query_vars['paged'] > 1 ? $current = $wp_query->query_vars['paged'] : $current = 1;
	if($pages==''){
		global $wp_query;
		 $pages = $wp_query->max_num_pages;
		 if(!$pages)
		 {
			 $pages = 1;
		 }
	}
	$base = str_replace( 999999999, '%#%', get_pagenum_link( 999999999 ) );
	$base = html_entity_decode($base);
	$pagination = array(
		'base'          => $base,
		'format'        => '',
		'current'       => max( 1, get_query_var('paged') ),
		'total'         => $pages,
		'prev_text'     => wp_specialchars_decode('<i class="fal fa-angle-double-left"></i>',ENT_QUOTES),
		'next_text'     => wp_specialchars_decode('<i class="fal fa-angle-double-right"></i>',ENT_QUOTES),
		'type'          => 'list',
		'end_size'      => 3,
		'mid_size'      => 3
);
	$return = paginate_links( $pagination );
	echo str_replace( "<ul class='page-numbers'>", '<ul class="page-pagination">', $return );

}
/**
 * This file represents an example of the code that themes would use to register
 * the required plugins.
 *
 * It is expected that theme authors would copy and paste this code into their
 * functions.php file, and amend to suit.
 *
 * @package    TGM-Plugin-Activation
 * @subpackage Example
 * @version    2.6.1
 * @author     Thomas Griffin <thomasgriffinmedia.com>
 * @author     Gary Jones <gamajo.com>
 * @copyright  Copyright (c) 2014, Thomas Griffin
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       https://github.com/thomasgriffin/TGM-Plugin-Activation
 */
/**
 * Include the TGM_Plugin_Activation class.
 */
require_once get_template_directory() . '/framework/class-tgm-plugin-activation.php';
add_action( 'tgmpa_register', 'thames_theme_register_required_plugins' );
/**
 * Register the required plugins for this theme.
 *
 * In this example, we register two plugins - one included with the TGMPA library
 * and one from the .org repo.
 *
 * The variable passed to tgmpa_register_plugins() should be an array of plugin
 * arrays.
 *
 * This function is hooked into tgmpa_init, which is fired within the
 * TGM_Plugin_Activation class constructor.
 */
function thames_theme_register_required_plugins(){
	/**
	 * Array of plugin arrays. Required keys are name and slug.
	 * If the source is NOT from the .org repo, then source is also required.
	 */
	$plugins = array(
		// This is an example of how to include a plugin from the WordPress Plugin Repository.
		array(
            'name'      => esc_html__( 'One Click Demo Import', 'thames' ),
            'slug'      => 'one-click-demo-import',
            'required'  => true,
        ), 
      array(
            'name'      => esc_html__( 'Classic Editor', 'thames' ),
            'slug'      => 'classic-editor',
            'required'  => true,
        ), 
      array(
            'name'      => esc_html__( 'Classic Widgets', 'thames' ),
            'slug'      => 'classic-widgets',
            'required'  => true,
        ),
      array(
            'name'      => esc_html__( 'Widget Importer & Exporter', 'thames' ),
            'slug'      => 'widget-importer-&-exporter',
            'required'  => true,
        ), 
      array(
            'name'      => esc_html__( 'Contact Form 7', 'thames' ),
            'slug'      => 'contact-form-7',
            'required'  => true,
        ), 
      array(
            'name'      => esc_html__( 'WP Maximum Execution Time Exceeded', 'thames' ),
            'slug'      => 'wp-maximum-execution-time-exceeded',
            'required'  => true,
        ), 
      array(
            'name'      => esc_html__( 'Elementor', 'thames' ),
            'slug'      => 'elementor',
            'required'  => true,
        ), 
      array(
            'name'                     => esc_html__( 'Thames Common', 'thames' ),
            'slug'                     => 'thames-common',
            'required'                 => true,
            'source'                   => get_template_directory() . '/framework/plugins/thames-common.zip',
        ),
      array(
            'name'                     => esc_html__( 'Thames Elementor', 'thames' ),
            'slug'                     => 'thames-elementor',
            'required'                 => true,
            'source'                   => get_template_directory() . '/framework/plugins/thames-elementor.zip',
        ),
	);
	/**
	 * Array of configuration settings. Amend each line as needed.
	 * If you want the default strings to be available under your own theme domain,
	 * leave the strings uncommented.
	 * Some of the strings are added into a sprintf, so see the comments at the
	 * end of each line for what each argument will be.
	 */
	$config = array(
		'default_path' => '',                      // Default absolute path to pre-packaged plugins.
		'menu'         => 'tgmpa-install-plugins', // Menu slug.
		'has_notices'  => true,                    // Show admin notices or not.
		'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
		'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
		'is_automatic' => false,                   // Automatically activate plugins after installation or not.
		'message'      => '',                      // Message to output right before the plugins table.
		'strings'      => array(
			'page_title'                      => esc_html__( 'Install Required Plugins', 'thames' ),
			'menu_title'                      => esc_html__( 'Install Plugins', 'thames' ),
			'installing'                      => esc_html__( 'Installing Plugin: %s', 'thames' ), // %s = plugin name.
			'oops'                            => esc_html__( 'Something went wrong with the plugin API.', 'thames' ),
			'notice_can_install_required'     => _n_noop( 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.', 'thames' ), // %1$s = plugin name(s).
			'notice_can_install_recommended'  => _n_noop( 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.', 'thames' ), // %1$s = plugin name(s).
			'notice_cannot_install'           => _n_noop( 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.', 'thames' ), // %1$s = plugin name(s).
			'notice_can_activate_required'    => _n_noop( 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.', 'thames' ), // %1$s = plugin name(s).
			'notice_can_activate_recommended' => _n_noop( 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.', 'thames' ), // %1$s = plugin name(s).
			'notice_cannot_activate'          => _n_noop( 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.', 'thames' ), // %1$s = plugin name(s).
			'notice_ask_to_update'            => _n_noop( 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.', 'thames' ), // %1$s = plugin name(s).
			'notice_cannot_update'            => _n_noop( 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.', 'thames' ), // %1$s = plugin name(s).
			'install_link'                    => _n_noop( 'Begin installing plugin', 'Begin installing plugins', 'thames' ),
			'activate_link'                   => _n_noop( 'Begin activating plugin', 'Begin activating plugins', 'thames' ),
			'return'                          => esc_html__( 'Return to Required Plugins Installer', 'thames' ),
			'plugin_activated'                => esc_html__( 'Plugin activated successfully.', 'thames' ),
			'complete'                        => esc_html__( 'All plugins installed and activated successfully. %s', 'thames' ), // %s = dashboard link.
			'nag_type'                        => 'updated' // Determines admin notice type - can only be 'updated', 'update-nag' or 'error'.
		)
	);
	tgmpa( $plugins, $config );
}
?>