<?php $thames_redux_demo = get_option('redux_demo'); ?>
<?php $GLOBALS['is_header_blue'] = true; ?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta http-equiv="x-ua-compatible" content="ie=edge">
	<meta name="description" content="">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<?php if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) { ?>
		<?php if(isset($thames_redux_demo['h2-favicon']['url'])){?>
		<link rel="shortcut icon" href="<?php echo esc_url($thames_redux_demo['h2-favicon']['url']); ?>">
		<?php }?>
	<?php }?>
	<?php wp_head(); ?>
</head>
<body <?php body_class('body-midnight-blue position-relative'); ?>>
	<?php
		wp_body_open();
	?>
	<?php if ((isset($thames_redux_demo['h2-shape-left']['url'])) && ($thames_redux_demo['h2-shape-left']['url'] != '')): ?>
		<div class="midnight-blue-body-effect1 position-fixed z-index-1 w-50">
			<img src="<?php echo esc_url($thames_redux_demo['h2-shape-left']['url']); ?>" alt="<?php bloginfo( 'name' ); ?>">
		</div>
	<?php endif ?>
	<?php if ((isset($thames_redux_demo['h2-shape-right']['url'])) && ($thames_redux_demo['h2-shape-right']['url'] != '')): ?>
		<div class="midnight-blue-body-effect2 position-fixed right-0 bottom-0 z-index-1 w-50">
			<img src="<?php echo esc_url($thames_redux_demo['h2-shape-right']['url']); ?>" alt="<?php bloginfo( 'name' ); ?>">
		</div>
	<?php endif ?>
	<div id="preloader">
		<div id="loading">
			<div id="loading-center">
				<div id="loading-center-absolute">
					<div class="object" id="object_one"></div>
					<div class="object" id="object_two"></div>
					<div class="object" id="object_three"></div>
				</div>
			</div>
		</div>
	</div>
	<header>
		<div id="header-sticky" class="transparent-header header-area blue-menu">
			<div class="header">
				<div class="container">
					<div class="row align-items-center">
						<div class="col-xl-2 col-lg-2 col-md-3 col-sm-4 col-5">
							<div class="logo mt-50 mb-50 transition5">
								<a class="header-logo" href="<?php echo esc_url(home_url('/')); ?>">
									<?php if(isset($thames_redux_demo['h2-logo']['url']) && $thames_redux_demo['h2-logo']['url'] != ''){?>
										<img src="<?php echo esc_url($thames_redux_demo['h2-logo']['url']); ?>" alt="<?php bloginfo( 'name' ); ?>">
									<?php }else{ ?>
										<img src="<?php echo esc_url(get_template_directory_uri());?>/assets/images/logo/blue/logo.png" alt="<?php bloginfo( 'name' ); ?>">
									<?php } ?>
								</a>
							</div>
						</div>
						<div class="col-xl-10 col-lg-10 col-md-9 col-sm-8 col-7 pl-0 d-flex justify-content-end align-items-center">
							<div class="main-menu">
								<nav id="mobile-menu">
									<?php 
									wp_nav_menu( 
										array( 
											'theme_location' 	=> 'primary',
											'container' 		=> '',
											'menu_class' 		=> '',
											'menu_id' 			=> '',
											'menu'            	=> '',
											'container_class' 	=> '',
											'container_id'    	=> '',
											'echo'            	=> true,
											'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
											'before'          	=> '',
											'after'           	=> '',
											'link_before'     	=> '',
											'link_after'      	=> '',
											'items_wrap'      	=> '<ul class="d-block %2$s">%3$s</ul>',
											'depth'           	=> 1,
										)
									); ?>
								</nav>
							</div>
							<?php if ((isset($thames_redux_demo['h2-btn-switch'])) && ($thames_redux_demo['h2-btn-switch'] == true)): ?>
								<?php if (((isset($thames_redux_demo['h2-link-btn'])) && ('' != $thames_redux_demo['h2-link-btn'])) && ((isset($thames_redux_demo['h2-text-btn'])) && ('' != $thames_redux_demo['h2-text-btn']))): ?>
									<div class="header-btn pl-45">
										<a href="<?php echo esc_attr($thames_redux_demo['h2-link-btn']); ?>" class="white-text text-uppercase d-inline-block">
											<?php echo esc_attr($thames_redux_demo['h2-text-btn']); ?>
										</a>
									</div>
								<?php endif ?>
							<?php endif ?>
							<div class="mobile-m-bar d-block d-lg-none ml-30">
								<a class="mobile-menubar theme-color primary-hover" href="javascript:void(0);"><i class="far fa-bars"></i></a>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</header>
	<div class="side-mobile-menu pt-15 pb-30 pl-30 pr-20 pb-100">
		<div class="d-fle justify-content-between w-100">
			<div class="close-icon d-inline-block float-right clear-both mt-20 mb-15">
				<a href="javascript:void(0);"><span class="icon-clear theme-color"><i class="fa fa-times"></i></span></a>
			</div>
		</div>
		<div class="mobile-menu mt-10"></div>
		<?php if ((isset($thames_redux_demo['h2-social-switch'])) && ($thames_redux_demo['h2-social-switch'] == true)): ?>
			<?php if ((isset($thames_redux_demo['h2-title-social'])) && ('' != $thames_redux_demo['h2-title-social'])): ?>
				<h5 class="text-white text-center mt-35 pb-1 d-inline-block ml-3">
					<?php echo esc_attr($thames_redux_demo['h2-title-social']); ?>
				</h5>
			<?php endif ?>
			<ul class="social social-bg text-center d-flex mt-10 ml-3">
				<?php if (isset($thames_redux_demo['h2-social-repeater']['redux_repeater_data']) && !empty($thames_redux_demo['h2-social-repeater']['redux_repeater_data'])): ?>
					<?php 
					$num = count($thames_redux_demo['h2-social-repeater']['redux_repeater_data']);
					$i = 0;
					for ($i=0; $i < $num ; $i++) { ?>
						<?php if (((isset($thames_redux_demo['h2-social-repeater']['link-field'][$i])) && ('' != $thames_redux_demo['h2-social-repeater']['link-field'][$i])) && (((isset($thames_redux_demo['h2-social-repeater']['icon-field'][$i])) && ('' != $thames_redux_demo['h2-social-repeater']['icon-field'][$i])))): ?>
							<li class="mr-2 rotate-hover">
								<a href="<?php echo html_entity_decode(esc_attr($thames_redux_demo['h2-social-repeater']['link-field'][$i])) ?>" class="text-center pr-0 text-white d-block transition-3 rotate" style="background-color: <?php echo esc_attr($thames_redux_demo['h2-social-repeater']['color-field'][$i]);?>">
									<i class="<?php echo esc_attr($thames_redux_demo['h2-social-repeater']['icon-field'][$i]);?>"></i>
								</a>
							</li>
						<?php endif ?>
					<?php } ?>
				<?php endif ?>
			</ul>
		<?php endif ?>
	</div>
	<div class="body-overlay"></div>