<?php 
$thames_redux_demo = get_option('redux_demo');
get_header(); 
?>

<?php if(isset($thames_redux_demo['tag-bg-br']['url']) && $thames_redux_demo['tag-bg-br']['url'] != ''){?>
	<section class="banner-area section slider-bg-color bg-theme" data-background="<?php echo esc_url($thames_redux_demo['tag-bg-br']['url']); ?>">
<?php }else{?>
	<section class="banner-area section slider-bg-color bg-theme">
<?php }?>
		<div class="container align_item">
			<div class="banner-inner section-heading text-center">
				<h2>
					<?php if(isset($thames_redux_demo['tag-title']) && $thames_redux_demo['tag-title']!=''){?>
					<?php echo wp_specialchars_decode(esc_attr($thames_redux_demo['tag-title']));?>
					<?php }else{?>
					<?php echo esc_html__( 'Tag :', 'thames' );
					}?>
					<span><?php printf( esc_html__( ' %s', 'thames' ), single_tag_title( '', false ) );?></span>
				</h2>
			</div>
		</div>
	</section>
<section class="blog-details-area section-bg pb-100 pt-80">
	<div class="container">
		<div class="row">
			<div class="col-lg-12">
				<?php  
				while($wp_query->have_posts()): $wp_query->the_post(); 
					$blog_content = get_post_meta(get_the_ID(),'_cmb_content_excerpt', true);
				?>
					<div class="blog-detail-inner mb-50" id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
						<div class="blog-item">
							<?php if ( !empty(get_the_post_thumbnail())) { ?>
								<div class="main-blog-image mb-30 text-center">
									<a href="<?php the_permalink(); ?>"><img src="<?php the_post_thumbnail_url(); ?>"/></a>
								</div>
							<?php } ?>
							<h2 class="blog-title">
								<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
							</h2>
							<div class="blog-meta">
								<ul>
									<li>
										<span>
											<?php if(isset($thames_redux_demo['tag-bf-text-auth']) && $thames_redux_demo['tag-bf-text-auth']!=''){?>
											<?php echo wp_specialchars_decode(esc_attr($thames_redux_demo['tag-bf-text-auth']));?>
											<?php }else{?>
											<?php echo esc_html__( 'By', 'thames' );
											}?>
											<?php echo get_the_author_posts_link(); ?>
										</span>
									</li>
									<li><span><?php the_time(get_option( 'date_format' ));?></span></li>
									<li><span><?php comments_number( esc_html__('0 Comments', 'thames'), esc_html__('1 Comment', 'thames'), esc_html__('% Comments', 'thames') ); ?></span></li>
									<li class="d-none">
										<span><?php echo get_the_tag_list(); ?></span>
									</li>
									<?php if ( is_sticky() ) echo '<li class="metadata_item"><span class="featured-post sticky">'.esc_html__('Sticky', 'thames').'</span></li>';?>
								</ul>
							</div>
						</div>
						<div class="blog-text">
							<p>
								<?php if ( '' !== wp_specialchars_decode($blog_content)): ?>
									<?php print wp_specialchars_decode($blog_content); ?>
								<?php else:?>
									<?php if(isset($thames_redux_demo['blog_excerpt'])){?>
									<?php echo esc_attr(thames_excerpt($thames_redux_demo['blog_excerpt'])); ?>
									<?php }else{?>
									<?php echo esc_attr(thames_excerpt(50)); 
									}?>
								<?php endif ?>
							</p>
						</div>
						<div class="btn-bar mt-15">
							<a class="button-1" href="<?php the_permalink(); ?>">
								<?php if(isset($thames_redux_demo['tag-btn-text']) && $thames_redux_demo['tag-btn-text']!=''){?>
								<?php echo wp_specialchars_decode(esc_attr($thames_redux_demo['tag-btn-text']));?>
								<?php }else{?>
								<?php echo esc_html__( 'Read More', 'thames' );
								}?>
							</a>
						</div>
					</div>
				<?php endwhile; ?>
				<div class="thames-pagination text-center">
					<?php 
					$pagination = array(
						'base'      	=> str_replace( 999999999, '%#%', get_pagenum_link( 999999999 ) ),
						'format'    	=> '',
						'prev_text'     => wp_specialchars_decode('<i class="fal fa-angle-double-left"></i>',ENT_QUOTES),
						'next_text'     => wp_specialchars_decode('<i class="fal fa-angle-double-right"></i>',ENT_QUOTES),
						'type'      	=> 'list',
						'end_size'    	=> 3,
						'mid_size'    	=> 3
					);
					if(paginate_links( $pagination ) != ''){
						$return =  paginate_links( $pagination );
						echo str_replace( "<ul class='page-numbers'>", '<ul class="page-pagination">', $return );
					}?>
				</div>
			</div>
		</div>
	</div>
</section>
<?php
get_footer();
?>